query UnderwritingInformationRequestOptions {
underwritingInformationRequestOptions {
description
displayOrder
fulfillmentTypes
title
type
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query UnderwritingInformationRequestOptions {\n underwritingInformationRequestOptions {\n description\n displayOrder\n fulfillmentTypes\n title\n type\n }\n}"
}'
{
"data": {
"underwritingInformationRequestOptions": {
"description": "example",
"displayOrder": 0,
"fulfillmentTypes": [
"DOCUMENT"
],
"title": "example",
"type": "ARTICLES_OF_INCORPORATION"
}
}
}
Queries
underwritingInformationRequestOptions
Retrieves all active information request options for underwriting.
query UnderwritingInformationRequestOptions {
underwritingInformationRequestOptions {
description
displayOrder
fulfillmentTypes
title
type
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query UnderwritingInformationRequestOptions {\n underwritingInformationRequestOptions {\n description\n displayOrder\n fulfillmentTypes\n title\n type\n }\n}"
}'
{
"data": {
"underwritingInformationRequestOptions": {
"description": "example",
"displayOrder": 0,
"fulfillmentTypes": [
"DOCUMENT"
],
"title": "example",
"type": "ARTICLES_OF_INCORPORATION"
}
}
}
Query
Arguments
No arguments.Return type
[UnderwritingInformationRequestOption!]!
String!
required
Detailed description of the information this option requests.
Int!
required
The display order for this option in UI lists.
[UnderwritingInformationRequestFulfillmentType!]!
required
String!
required
Short title describing the information request option.
UnderwritingInformationRequestType!
required
The type of information request this option represents.
…and 11 more values. See UnderwritingInformationRequestType for the full list.
Show Possible enum values
Show Possible enum values
enum
Articles of incorporation for the business entity
enum
deprecated
A bank letter confirming account details and business relationshipDeprecated: Use BANK_LETTER_VOIDED_CHECK instead.
enum
A bank letter or voided check to verify bank account information
enum
Recent bank statements
enum
A copy of the business license
query UnderwritingInformationRequestOptions {
underwritingInformationRequestOptions {
description
displayOrder
fulfillmentTypes
title
type
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query UnderwritingInformationRequestOptions {\n underwritingInformationRequestOptions {\n description\n displayOrder\n fulfillmentTypes\n title\n type\n }\n}"
}'
{
"data": {
"underwritingInformationRequestOptions": {
"description": "example",
"displayOrder": 0,
"fulfillmentTypes": [
"DOCUMENT"
],
"title": "example",
"type": "ARTICLES_OF_INCORPORATION"
}
}
}
Was this page helpful?